OpenTTD Source: ScriptConfigSettings Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Data Fields
ScriptConfigSettings Struct Reference

Container for AI and Game script configuration. More...

`#include <settings_type.h>`

## Public Member Functions
| ScriptConfigSettings (const ScriptConfigSettings &other)
ScriptConfigSettings & | operator= (const ScriptConfigSettings &other)

## Data Fields
TypedIndexContainer< std::array< std::unique_ptr< class AIConfig >, MAX_COMPANIES >, CompanyID > | ai
| settings per company
std::unique_ptr< class GameConfig > | game
| settings for gamescript

## Detailed Description

Container for AI and Game script configuration.

Definition at line 619 of file settings_type.h.

## Constructor & Destructor Documentation

## ◆ ScriptConfigSettings() [1/2]

ScriptConfigSettings::ScriptConfigSettings | ( |  | ) |

Definition at line 2025 of file settings.cpp.

## ◆ ~ScriptConfigSettings()

ScriptConfigSettings::~ScriptConfigSettings | ( |  | ) |

Definition at line 2030 of file settings.cpp.

## ◆ ScriptConfigSettings() [2/2]

ScriptConfigSettings::ScriptConfigSettings | ( | const ScriptConfigSettings & | other | ) |

Definition at line 2035 of file settings.cpp.

## Member Function Documentation

## ◆ operator=()

ScriptConfigSettings & ScriptConfigSettings::operator= | ( | const ScriptConfigSettings & | other | ) |

Definition at line 2040 of file settings.cpp.

## Field Documentation

## ◆ ai

TypedIndexContainer<std::array<std::unique_ptr<class AIConfig>, MAX_COMPANIES>, CompanyID> ScriptConfigSettings::ai

settings per company

Definition at line 621 of file settings_type.h.

Referenced by AIConfig::GetConfig(), AI::ResetConfig(), and AI::Uninitialize().

## ◆ game

std::unique_ptr<class GameConfig> ScriptConfigSettings::game

settings for gamescript

Definition at line 622 of file settings_type.h.

Referenced by GameConfig::GetConfig(), and Game::Uninitialize().

The documentation for this struct was generated from the following files:

- src/settings_type.h
- src/settings.cpp